Subject: Re: git-svn fetch updating master

From: Eric Wong <[email-masked]>
Date: Thu, 16 Aug 2007 02:03:28 -0700

Mike Hommey <[email-masked]> wrote:
> On Thu, Aug 16, 2007 at 01:03:49AM -0700, Eric Wong <[email-masked]> wrote:
> > Mike Hommey <[email-masked]> wrote:
> > > Hi,
> > > 
> > > I was wondering why the master branch was hardcoded to be updated in
> > > post_fetch_checkout() in git-svn. Why not allow to use another branch ?
> > 
> > It shouldn't update master if it the branch already exists and is a
> > valid ref.
> > 
> > The default for git-clone is to create "master", too, so I wanted
> > git-svn clone behavior to be the same.
> 
> git-svn fetch is not only invoqued at cloning time...
> 
> My problem is that I (purposely) removed the master branch, so git-svn fetch
> is creating it again every time I run to update the svn branch...

Ah.  The old usage was: git-svn init && git-svn fetch; so it'll create
a master branch each time.   You can use --no-checkout with fetch to
avoid this behavior.

-- 
Eric Wong